Bug 220086 - hald-addon-storage aborts
hald-addon-storage aborts
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-18 15:23 EST by Bill Nottingham
Modified: 2014-03-16 23:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-01 11:19:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-12-18 15:23:35 EST
hal-0.5.8.1-5.fc6
dbus-0.95-2.fc7

(Perhaps I shouldn't mix these two)

Upon ejecting a CD, hald-addon-storage aborts:

open("/dev/scd0", O_RDONLY|O_NONBLOCK|O_EXCL|O_LARGEFILE) = 4
ioctl(4, CDROM_DRIVE_STATUS, 0x7fffffff) = 4
ioctl(4, CDROM_MEDIA_CHANGED, 0x7fffffff) = 0
ioctl(4, SG_IO, 0xbf9cc190)             = 0
close(4)                                = 0
rt_sigprocmask(SIG_BLOCK, [CHLD], [], 8) = 0
rt_sigaction(SIGCHLD, NULL, {SIG_DFL}, 8) = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
nanosleep({2, 0}, {2, 0})               = 0
open("/dev/scd0", O_RDONLY|O_NONBLOCK|O_EXCL|O_LARGEFILE) = 4
ioctl(4, CDROM_DRIVE_STATUS, 0x7fffffff) = 2
close(4)                                = 0
writev(3, [{"l\1\0\1,\0\0\0\2\0\0\0\270\0\0\0\1\1o\0;\0\0\0/org/fre"..., 200},
{"!\0\0\0storage.removable.media_avai"..., 44}], 2) = 244
gettimeofday({1166473258, 719956}, NULL) = 0
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 25000) = 1
read(3, "l\2\1\1\0\0\0\0\2\0\0\0\10\0\0\0\5\1u\0\2\0\0\0", 2048) = 24
read(3, 0x8d885e0, 2048)                = -1 EAGAIN (Resource temporarily
unavailable)
getpid()                                = 13549
write(2, "process 13549: ", 15)         = 15
write(2, "arguments to dbus_error_is_set()"..., 182) = 182
open("/etc/ld.so.cache", O_RDONLY)      = 4
fstat64(4, {st_mode=S_IFREG|0644, st_size=77812, ...}) = 0
mmap2(NULL, 77812, PROT_READ, MAP_PRIVATE, 4, 0) = 0xb7fb5000
close(4)                                = 0
open("/lib/libgcc_s.so.1", O_RDONLY)    = 4
read(4, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0p&\20\000"..., 512) = 512
fstat64(4, {st_mode=S_IFREG|0755, st_size=46268, ...}) = 0
mmap2(0x101000, 47844, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 4, 0) =
0x101000
mmap2(0x10c000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE,
4, 0xa) = 0x10c000
close(4)                                = 0
munmap(0xb7fb5000, 77812)               = 0
write(2, "  /lib/libdbus-1.so.3 [0x63a322d"..., 34) = 34
write(2, "  /lib/libdbus-1.so.3 [0x63a2627"..., 34) = 34
write(2, "  /lib/libdbus-1.so.3 [0x6396ae6"..., 34) = 34
write(2, "  /lib/libdbus-1.so.3(dbus_error"..., 58) = 58
write(2, "  /usr/lib/libhal.so.1 [0x63c6ce"..., 35) = 35
write(2, "  /usr/lib/libhal.so.1(libhal_de"..., 73) = 73
write(2, "  hald-addon-storage: polling /d"..., 52) = 52
write(2, "  /lib/libc.so.6(__libc_start_ma"..., 52) = 52
write(2, "  hald-addon-storage: polling /d"..., 52) = 52
rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
tgkill(13549, 13549, SIGABRT)           = 0
--- SIGABRT (Aborted) @ 0 (0) ---
Process 13549 detached
Comment 1 Bill Nottingham 2006-12-18 15:27:57 EST
This appears to be fixed in hal-0.5.8.1-6.fc6.
Comment 2 Matthias Clasen 2007-04-01 11:19:35 EDT
Closing it then.

Note You need to log in before you can comment on or make changes to this bug.